> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Knowledge Base Custom Types



## OpenAPI

````yaml get /v1/knowledge-bases/types
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/knowledge-bases/types:
    get:
      tags:
        - V1 - Knowledge Bases
      summary: Fetch Knowledge Base Custom Types
      operationId: fetch_knowledge_base_custom_types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/KnowledgeBaseType'
                type: array
                title: Response Fetch Knowledge Base Custom Types
      security:
        - APIKeyHeader: []
components:
  schemas:
    KnowledgeBaseType:
      properties:
        source_type:
          type: string
          title: Source Type
        name:
          type: string
          title: Name
        image:
          type: string
          title: Image
        integration:
          anyOf:
            - type: string
            - type: 'null'
          title: Integration
        subtype:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtype
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        exposed:
          type: boolean
          title: Exposed
          default: true
      type: object
      required:
        - source_type
        - name
        - image
      title: KnowledgeBaseType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````